### Method

# Qmi MessageDmsActivateManualInput set_mn_aaa_key

since: 1.0

#### Declaration [src]

    gboolean
    qmi_message_dms_activate_manual_input_set_mn_aaa_key (
      QmiMessageDmsActivateManualInput* self,
      const gchar* value_mn_aaa_key,
      GError** error
    )

#### Description [src]

Set the ‘MN AAA key’ field in the message.

Available since: 1.0

#### Parameters

`value_mn_aaa_key`

  Type: `const gchar*`

  A constant string with a maximum length of 16 characters.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will be left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

`TRUE` if `value` was successfully set, `FALSE` otherwise.